## pairs 4.13.0

=== game/CMakeLists.txt ===
# This file is part of Pairs
#
#  Copyright (C) <2010>       <Albert Astals Cid>   <aacid@kde.org>
#  Copyright (C) <2010>       <Aleix Pol>           <aleixpol@kde.org>
#  Copyright (C) <2011>       <Marco Calignano>     <marco.calignano@gmail.com>
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License as
#  published by the Free Software Foundation; either version 2 of
#  the License or (at your option) version 3 or any later version
#  accepted by the membership of KDE e.V. (or its successor approved
#  by the membership of KDE e.V.), which shall act as a proxy 
#  defined in Section 14 of version 3 of the license.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.


set(pairs_SRCS 
   pairstheme.cpp 
   pairsthemebase.cpp
   carditem.cpp
   pairs.cpp
   main.cpp
   pairsview.cpp
   pairsplayer.cpp
   themesmodel.cpp
   playersmodel.cpp
   themeiconsprovider.cpp
 )

qt4_add_resources(pairs_SRCS resources.qrc)

kde4_add_app_icon(pairs_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-apps-pairs*")

kde4_add_executable(pairs ${pairs_SRCS})

target_link_libraries(pairs ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_PHONON_LIBS}
    ${QT_QTXMLPATTERNS_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY} ${KDE4_KNEWSTUFF3_LIBS}
    ${QT_QTOPENGL_LIBRARY} kdeclarative
)

install(TARGETS pairs ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES pairs.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )

## pairs 4.9.2

=== debian/changelog ===
pairs (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:44:56 +0100

pairs (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:42:45 +0530

pairs (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * Update .install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:48:09 +0100

pairs (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:47:56 +0200

pairs (4:4.8.80-0ubuntu1) quantal; urgency=low

  * Initial release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Jun 2012 21:41:16 +0200

=== debian/control ===
Source: pairs
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 9~),               
               kdelibs5-dev (>= 4:4.9.2),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.3.1
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pairs
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pairs

Package: pairs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: A memory and pairs game for KDE
 A memory and pairs game for KDE

Package: pairs-dbg
Section: debug
Priority: extra
Architecture: any
Depends: pairs (= ${binary:Version}), ${misc:Depends}
Description: A memory and pairs game for KDE -- debugging symbols
 A memory and pairs game for KDE
 .
 This package contains the debugging files used to investigate problems with
 pairs.

## pairs 4.9.3

=== debian/changelog ===
pairs (4:4.9.3-0ubuntu0.1) quantal; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Nov 2012 01:47:09 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9~),               
-               kdelibs5-dev (>= 4:4.9.2),
+               kdelibs5-dev (>= 4:4.9.3),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.3.1
 Homepage: http://www.kde.org/

## pairs 4.9.5

=== debian/changelog ===
pairs (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:48:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9~),               
-               kdelibs5-dev (>= 4:4.9.3),
+               kdelibs5-dev (>= 4:4.9.5),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.3.1
 Homepage: http://www.kde.org/

## pairs 4.10.0

=== debian/changelog ===
pairs (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:22:25 +0000

pairs (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:32:00 +0000

pairs (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:49:11 +0100

pairs (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Philip Muškovac ]
  * add pairseditor file to pairs.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:48:50 +0000

pairs (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:18:17 +0000

pairs (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release
  * Update .install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:22:25 +0000

pairs (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:50:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9~),               
-               kdelibs5-dev (>= 4:4.9.5),
+               kdelibs5-dev (>= 4:4.10.0),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.3.1
 Homepage: http://www.kde.org/

## pairs 4.10.2

=== debian/changelog ===
pairs (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:04:16 +0200

pairs (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:57:49 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9~),               
-               kdelibs5-dev (>= 4:4.10.0),
+               kdelibs5-dev (>= 4:4.10.2),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.3.1
 Homepage: http://www.kde.org/

## pairs 4.10.5

=== debian/changelog ===
pairs (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:47:36 +0200

pairs (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:37:58 +0200

pairs (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:21:48 +0200

pairs (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:04:16 +0200

pairs (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:57:49 +0000

pairs (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:22:25 +0000

pairs (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:32:00 +0000

pairs (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:49:11 +0100

pairs (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Philip Muškovac ]
  * add pairseditor file to pairs.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:48:50 +0000

pairs (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:18:17 +0000

pairs (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * Update .install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:22:25 +0000

pairs (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:50:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9~),               
-               kdelibs5-dev (>= 4:4.10.2),
+               kdelibs5-dev (>= 4:4.10.5),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.3.1
 Homepage: http://www.kde.org/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=pairs-dbg

## pairs 4.11.2

=== debian/changelog ===
pairs (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:58:16 +0100

pairs (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:43:21 +0100

pairs (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:42:44 +0100

pairs (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:10:12 +0100

pairs (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:32 +0000

pairs (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:34:23 +0100

pairs (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:59:35 +0100

pairs (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * install to /usr/games to keep lintian happy

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:54:54 +0100

pairs (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 May 2013 16:55:14 +0000

pairs (4:4.10.2-1) UNRELAESED; urgency=low

  [ Sune Vuorela ]
  * Initial packaging.

 -- Sune Vuorela <sune@debian.org>  Fri, 05 Apr 2013 22:09:37 +0000

=== debian/control ===
Source: pairs
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2),
 libphonon-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pairs
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pairs
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/pairs.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/pairs.git

Package: pairs
Section: games
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: memory and pairs game
 Pairs is a game that helps you training your memory by remembering
 different images, shapes, sounds and text.
 .
 Features:
  - pair images
  - pair similar images
  - pair sounds
  - pair sounds and images
 .
 This package is part of the KDE educational module.

## pairs 4.11.3

=== debian/changelog ===
pairs (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 15:23:42 +0100

pairs (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 16:52:45 +0200

pairs (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:37:54 +0200

pairs (4:4.10.4-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Improve copyright.

  [ Maximiliano Curia ]
  * Install game in /usr/games.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 14:30:48 +0200

pairs (4:4.10.2-1) experimental; urgency=low

  [ Sune Vuorela ]
  * Initial packaging.

 -- Sune Vuorela <sune@debian.org>  Sat, 13 Apr 2013 13:38:46 +0000

=== debian/control ===
Source: pairs
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.11),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11),
 libphonon-dev
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/pairs.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/pairs.git

Package: pairs
Section: games
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: memory and pairs game
 Pairs is a game that helps you training your memory by remembering
 different images, shapes, sounds and text.
 .
 Features:
  - pair images
  - pair similar images
  - pair sounds
  - pair sounds and images
 .
 This package is part of the KDE educational module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_auto_configure:
	$(overridden_command) -- -DBIN_INSTALL_DIR=/usr/games

## pairs 4.13.0

=== debian/changelog ===
pairs (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:30:27 +0100

pairs (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:56:42 +0200

pairs (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:57:49 +0100

pairs (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 12:06:30 +0000

pairs (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:18:06 +0100

pairs (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:32:42 +0000

pairs (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:45:36 +0000

pairs (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:48:35 +0000

pairs (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:47:19 +0000

pairs (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:41:28 +0100

pairs (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 18:01:50 +0100

=== debian/control ===
Source: pairs
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.13.0),
 libphonon-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pairs
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pairs
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/pairs.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/pairs.git

Package: pairs
Section: games
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: memory and pairs game
 Pairs is a game that helps you training your memory by remembering
 different images, shapes, sounds and text.
 .
 Features:
  - pair images
  - pair similar images
  - pair sounds
  - pair sounds and images
 .
 This package is part of the KDE educational module.

## pairs 4.13.3

=== CMakeLists.txt ===
#  This file is part of Pairs
#
#  Copyright (C) <2010>       <Albert Astals Cid>   <aacid@kde.org>
#  Copyright (C) <2010>       <Aleix Pol>           <aleixpol@kde.org>
#  Copyright (C) <2012>       <Marco Calignano>     <marco.calignano@gmail.com>
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License as
#  published by the Free Software Foundation; either version 2 of
#  the License or (at your option) version 3 or any later version
#  accepted by the membership of KDE e.V. (or its successor approved
#  by the membership of KDE e.V.), which shall act as a proxy 
#  defined in Section 14 of version 3 of the license.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.


project(pairs)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )
add_definitions( ${KDE4_DEFINITIONS} )

add_subdirectory( game )
add_subdirectory( pairseditor )
add_subdirectory( icons )
add_subdirectory( players )
add_subdirectory( gameicons )
add_subdirectory( themes )
add_subdirectory( doc )

=== doc/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR pairseditor)

=== debian/changelog ===
pairs (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:37:40 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
  libphonon-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,3 @@
 
 override_dh_auto_configure:
 	$(overridden_command) -- -DBIN_INSTALL_DIR=/usr/games
-

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/pairs-([\d\.]*).tar.xz

## pairs 4.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,3 +36,6 @@
 add_subdirectory( gameicons )
 add_subdirectory( themes )
 add_subdirectory( doc )
+
+install(FILES pairs.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)
+

=== debian/changelog ===
pairs (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:43 +0200

pairs (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 15:20:43 +0200

pairs (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 25 Jul 2014 11:33:58 +0200

pairs (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 22 May 2014 10:48:21 +0200

pairs (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:42 +0200

pairs (4:4.12.2-1) experimental; urgency=low

  * Bump Standards-Version to 3.9.5, no changes needed.
  * Do not disable an empty test set.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:05 +0100

=== debian/control ===
Source: pairs
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libphonon-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/pairs.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/pairs.git

Package: pairs
Section: games
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: memory and pairs game
 Pairs is a game that helps you training your memory by remembering
 different images, shapes, sounds and text.
 .
 Features:
  - pair images
  - pair similar images
  - pair sounds
  - pair sounds and images
 .
 This package is part of the KDE educational module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/pairs-([\d.]+).tar.xz

## pairs 4.14.2

=== debian/changelog ===
pairs (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 17:10:31 +0200

pairs (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:44:46 -0700

pairs (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:57:40 +0200

pairs (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:42:28 +0200

pairs (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:33:08 +0200

pairs (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 20:54:13 +0200

pairs (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:44:44 +0200

pairs (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:09:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: pairs
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                libphonon-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/pairs.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/pairs.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pairs
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pairs
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/pairs.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/pairs.git
 
 Package: pairs
 Section: games

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBIN_INSTALL_DIR=/usr/games

## pairs 14.12.3

=== debian/changelog ===
pairs (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:01:35 -0700

pairs (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:55:05 -0800

pairs (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:22:53 +0100

pairs (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Dec 2014 18:03:52 +0100

pairs (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:44:46 -0700

=== debian/control ===
Source: pairs
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               libphonon-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/pairs.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/pairs.git

Package: pairs
Section: games
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: memory and pairs game
 Pairs is a game that helps you training your memory by remembering
 different images, shapes, sounds and text.
 .
 Features:
  - pair images
  - pair similar images
  - pair sounds
  - pair sounds and images
 .
 This package is part of the KDE educational module.

## pairs 15.04.3

=== debian/changelog ===
pairs (4:15.04.3-1) unstable; urgency=medium

  * New upstream release (15.04.1).
  * New upstream release (15.04.2).
  * New upstream release (15.04.3).

  [ Scarlett Clark ]
  * Add --owner=root --group=root --numeric-owner to tar command line
    patch to make package build reproducibly. (Closes: #815716)

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 25 Feb 2016 09:53:07 +0100

pairs (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:30 +0200

pairs (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Feb 2015 18:56:50 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                kdelibs5-dev,
                libphonon-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/pairs.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/pairs.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/pairs.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/pairs.git
 
 Package: pairs
 Section: games

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/pairs-([\d.]+).tar.xz
